#ifndef ZEEMAINWINDOW_H
#define ZEEMAINWINDOW_H

#include <qwidget.h>

class ZeeRecipeListView;

class QSqlDatabase;

class QAction;
class QLabel;
class QTextStream;

class ZeeMainWindow : public QWidget
{
    Q_OBJECT

public:
    ZeeMainWindow(QWidget* parent = 0, const char* name = 0);
    ~ZeeMainWindow();
    
    void updateView();

public slots:
    void setDocument(const QString& fileName);

private slots:
    void startup();

    void newCookbook();
    void openLastCookbook();
    void openCookbook();

    void addRecipe();
    void editRecipe();
    void removeRecipe();
    void viewRecipe();
    void beamRecipe();

    void searchTool();
    void showAllTool();
    void importTool();
    void exportTool();
    
    void selectRecipe();

private:
    void exportHtml(int recipeId, QTextStream& textStream);
    void exportMealMaster(int recipeId, QTextStream& textStream);

    QSqlDatabase* m_pDatabase;

    QAction* m_pNewCookbookAction;
    QAction* m_pOpenCookbookAction;

    QAction* m_pAddRecipeAction;
    QAction* m_pEditRecipeAction;
    QAction* m_pRemoveRecipeAction;
    QAction* m_pViewRecipeAction;
    QAction* m_pBeamRecipeAction;

    QAction* m_pSearchToolAction;
    QAction* m_pShowAllToolAction;
    QAction* m_pImportToolAction;
    QAction* m_pExportToolAction;

    ZeeRecipeListView* m_pRecipeListView;
    QLabel* m_pStatusLabel;
};

#endif // ZEEMAINWINDOW_H
